List Companies

Returns a list of all Company accounts, sorted by companyId from highest to lowest by default. Pass optional parameters to modify the results.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
OR
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

minModifieddoubleOptional
The earliest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
maxModifieddoubleOptional
The latest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
minCreateddoubleOptional
The earliest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
maxCreateddoubleOptional
The latest [Unix timestamp](https://www.unixtimestamp.com/) that can be returned for a modified Company account.
sortByenumOptionalDefaults to updatedAt
Sorts results by Company name or last updated date, defaulting to the last updated date if no parameter is provided.
Allowed values:
orderByenumOptionalDefaults to DESC
Establish a descending or ascending order of results. The order defaults to descending if the parameter is not included.
Allowed values:
isIncludeExtraFieldsenumOptionalDefaults to 0

Indicates whether or not the response will include Company extra fields. If the parameter is not included, the response will exclude extra fields by default.

A value of 0 will exclude extra fields, while a value of 1 will include them.

Allowed values:
companyStatusenumOptional

The Company’s activity status. See Company Status Codes to learn about their corresponding statuses.

Allowed values:
qstringOptional
Enter a Company name to return partial and exact matches.
extraFieldslist of stringsOptional
Use this array to filter results by an extra field name-value pair. Exact usage is formatted as `?extraFields=name:value`. Including this filter returns any Company account where the extra field `name` contains `value`. To search on more than one extra field, the parameter may be repeated to capture more specific instances such as `?extraFields=name1:value1&extraFields=name2,value2`, which will return all Companies where the extra fields `name1` and `name2` contain `value1` and `value2`, respectively.
bcOrderIdintegerOptional
The ID of a BigCommerce order placed by a particular Company account.
orderIdstringOptional
The ID of a BigCommerce order placed by a particular Company account.
bcGroupIdstringOptional
The ID of the BigCommerce customer group assigned to the Company account.
customerIdintegerOptional
The ID of a BigCommerce customer account with a corresponding Company user account.
extraFieldFilterTypeenumOptionalDefaults to search

Establishes how results are filtered when using the extraFields parameter. The search filter type allows for partial matches, while the exact-match filter type only returns results that exactly match the specified criteria.

The filter type defaults to search when no parameter is provided.

Allowed values:

Response

OK
codedouble
datalist of objects
metaobject